---
# defaults file for Prometheus

prometheus_user: prometheus
prometheus_group: prometheus

prometheus_version: 2.42.0
# Find current version checksum for amd64 in:
# "https://github.com/prometheus/prometheus/releases/download/v{{ prometheus_version }}/sha256sums.txt"
prometheus_checksum: "422dab055ed9c7bcaff52b718705f9192c6fac0de6b7e78dd278e70ee2663dcc"

prometheus_temp_dir: /tmp/prometheus
prometheus_config_dir: /etc/prometheus
prometheus_db_dir: /opt/prometheus

prometheus_config_path: "{{ role_path }}/templates"
prometheus_config_file: prometheus.yml.j2
prometheus_rules_path: "{{ role_path }}/files"
prometheus_rules_file: prometheus_rules.yml


# Config prometheus.service
prometheus_listen_address: "0.0.0.0"
prometheus_listen_port: 9090
prometheus_check_itself_url: "{{ ansible_host }}"

prometheus_storage_retention: "30d"
prometheus_storage_retention_size: "0"

# Config prometheus.yml

prometheus_global:
  scrape_interval: 15s
  scrape_timeout: 10s
  evaluation_interval: 15s

prometheus_external_labels:
  environment: "{{ ansible_fqdn | default(ansible_host) | default(inventory_hostname) }}"

prometheus_alertmanager_config: []
#   - scheme: https
#     path_prefix: alertmanager/
#     basic_auth:
#       username: user
#       password: pass
#     static_configs:
#       - targets: ["127.0.0.1:9093"]
#     proxy_url: "127.0.0.2"

prometheus_alert_relabel_configs: []

prometheus_scrape_configs:
  - job_name: "prometheus"
    metrics_path: "/metrics"
    static_configs:
      - targets:
          - "localhost:{{ prometheus_listen_port }}"
